#include "triangles.h"

using namespace std;
vector<std::vector<int>> solve(int n) {
	vector<vector<int>> ans;
	int a = 0, b = 1, c = 2;
	for (int i = 1; i < n; ++i) {
		for (int j = 1; j < i; ++j) {
			vector<Triangle> left = { Triangle(i, j, a) };
			vector<Triangle> right = { Triangle(a, b, c) };
			int res = compare(left, right);
			if (res == 1) {
				b = i;
				c = j;
			}
		}
	}
	for (int i = 0; i < n; ++i) {
		if (i == b) {
			continue;
		}
		if (i == c) {
			continue;
		}
		vector<Triangle> left = { Triangle(i, b, c) };
		vector<Triangle> right = { Triangle(a, b, c) };
		int res = compare(left, right);
		if (res == 1) {
			a = i;
		}
	}
	ans = { {a, b, c} };
	return ans;
}
